# Class Localizer

java.lang.Object
com.thaiopensource.util.Localizer

public class Localizer extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Localizer(Class<?> cls)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `message(String key)`
  `String`
  `message(String key, Object arg)`
  `String`
  `message(String key, Object[] args)`
  `String`
  `message(String key, Object arg1, Object arg2)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Localizer

    public Localizer(Class<?> cls)

- ## Method Details

  - ### message

    public String message(String key)

  - ### message

    public String message(String key, Object arg)

  - ### message

    public String message(String key, Object arg1, Object arg2)

  - ### message

    public String message(String key, Object[] args)